Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPNGWriter Class Reference

`#include <vtkPNGWriter.h>`

Inheritance diagram for vtkPNGWriter:

[legend]
Collaboration diagram for vtkPNGWriter:

[legend]
List of all members.

## Detailed Description

Writes PNG files.

Date:
  2002/05/31 23:12:41

Revision:
  1.9

vtkPNGWriter writes PNG files. It supports 1 to 4 component data of unsigned char or unsigned short

See also:
  vtkPNGReader

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (87%)
  - Cedilnik, Andy (6%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkPNGWriter.h)`
  - .`cxx` (`/IO/vtkPNGWriter.cxx)`

Examples:
  vtkPNGWriter (Examples)

Tests:
  vtkPNGWriter (Tests)

Definition at line 54 of file vtkPNGWriter.h.

## Public Types
typedef vtkImageWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Write ()
virtual void | SetWriteToMemory (unsigned int)
virtual unsigned int | GetWriteToMemory ()
virtual void | WriteToMemoryOn ()
virtual void | WriteToMemoryOff ()
virtual void | SetResult (vtkUnsignedCharArray *)
virtual vtkUnsignedCharArray * | GetResult ()
## Static Public Methods
vtkPNGWriter * | New ()
int | IsTypeOf (const char *type)
vtkPNGWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPNGWriter ()
| ~vtkPNGWriter ()
void | WriteSlice (vtkImageData *data)
## Protected Attributes
unsigned int | WriteToMemory
vtkUnsignedCharArray * | Result

## Member Typedef Documentation

typedef vtkImageWriter vtkPNGWriter::Superclass

| Reimplemented from vtkImageWriter. Definition at line 58 of file vtkPNGWriter.h.

## Constructor & Destructor Documentation

vtkPNGWriter::vtkPNGWriter | ( |  | ) | `[protected]`

vtkPNGWriter::~vtkPNGWriter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkPNGWriter* vtkPNGWriter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageWriter.

virtual const char* vtkPNGWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageWriter.

int vtkPNGWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageWriter.

virtual int vtkPNGWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageWriter.

vtkPNGWriter* vtkPNGWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageWriter.

void vtkPNGWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageWriter.

virtual void vtkPNGWriter::Write | ( |  | ) | `[virtual]`

| The main interface which triggers the writer to start. Reimplemented from vtkImageWriter.

virtual void vtkPNGWriter::SetWriteToMemory | ( | unsigned | int | ) | `[virtual]`

| Write the image to memory (a vtkUnsignedCharArray)

virtual unsigned int vtkPNGWriter::GetWriteToMemory | ( |  | ) | `[virtual]`

| Write the image to memory (a vtkUnsignedCharArray)

virtual void vtkPNGWriter::WriteToMemoryOn | ( |  | ) | `[virtual]`

| Write the image to memory (a vtkUnsignedCharArray)

virtual void vtkPNGWriter::WriteToMemoryOff | ( |  | ) | `[virtual]`

| Write the image to memory (a vtkUnsignedCharArray)

virtual void vtkPNGWriter::SetResult | ( | vtkUnsignedCharArray * |  | ) | `[virtual]`

| When writing to memory this is the result, it will be NULL until the data is written the first time

virtual vtkUnsignedCharArray* vtkPNGWriter::GetResult | ( |  | ) | `[virtual]`

| When writing to memory this is the result, it will be NULL until the data is written the first time

void vtkPNGWriter::WriteSlice | ( | vtkImageData * | data | ) | `[protected]`

## Member Data Documentation

unsigned int vtkPNGWriter::WriteToMemory`[protected]`

| Definition at line 83 of file vtkPNGWriter.h.

vtkUnsignedCharArray* vtkPNGWriter::Result`[protected]`

| Definition at line 84 of file vtkPNGWriter.h.

The documentation for this class was generated from the following file:

- IO/vtkPNGWriter.h